Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.mapinfoapi
Class MapInfoDataSource

    java.lang.Object
      org.deegree.io.mapinfoapi.MapInfoDataSource

    public class MapInfoDataSource

extends Object

TODO add documentation here

Version:
  $Revision: 18191 $, $Date: 2009-06-18 17:26:44 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`static String` | `CLAUSE_BRUSH`
`static String` | `CLAUSE_CENTER`
`static String` | `CLAUSE_CHARSET`
`static String` | `CLAUSE_COLUMNS`
`static String` | `CLAUSE_DELIMETER`
`static String` | `CLAUSE_INDEX`
`static String` | `CLAUSE_PEN`
`static String` | `CLAUSE_SMOOTH`
`static String` | `CLAUSE_SYMBOL`
`static String` | `CLAUSE_UNIQUE`
`static String` | `CLAUSE_VERSION`
`static String` | `TYPE_ARC`
`static String` | `TYPE_ELLIPSE`
`static String` | `TYPE_LINE`
`static String` | `TYPE_NONE`
`static String` | `TYPE_PLINE`
`static String` | `TYPE_POINT`
`static String` | `TYPE_RECT`
`static String` | `TYPE_REGION`
`static String` | `TYPE_ROUNDRECT`
`static String` | `TYPE_TEXT`

Constructor Summary
`MapInfoDataSource(URL url)` Creates a new MapInfoDataSource object.

Method Summary
`void` | `getFeatures(FeatureCollection collection, Query query)` Loads features from the datasource into the passed collection, based on the passed filter.
`FeatureType` | `getSchema()` Retrieves the featureType that features extracted from this datasource will be created with.
`protected ArrayList` | `readMifMid()` Reads the MIF and MID files and returns a ArrayList of the Features they contain

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_NONE

    public static final String TYPE_NONE

See Also:
  Constant Field Values

### TYPE_POINT

    public static final String TYPE_POINT

See Also:
  Constant Field Values

### TYPE_LINE

    public static final String TYPE_LINE

See Also:
  Constant Field Values

### TYPE_PLINE

    public static final String TYPE_PLINE

See Also:
  Constant Field Values

### TYPE_REGION

    public static final String TYPE_REGION

See Also:
  Constant Field Values

### TYPE_ARC

    public static final String TYPE_ARC

See Also:
  Constant Field Values

### TYPE_TEXT

    public static final String TYPE_TEXT

See Also:
  Constant Field Values

### TYPE_RECT

    public static final String TYPE_RECT

See Also:
  Constant Field Values

### TYPE_ROUNDRECT

    public static final String TYPE_ROUNDRECT

See Also:
  Constant Field Values

### TYPE_ELLIPSE

    public static final String TYPE_ELLIPSE

See Also:
  Constant Field Values

### CLAUSE_SYMBOL

    public static final String CLAUSE_SYMBOL

See Also:
  Constant Field Values

### CLAUSE_PEN

    public static final String CLAUSE_PEN

See Also:
  Constant Field Values

### CLAUSE_SMOOTH

    public static final String CLAUSE_SMOOTH

See Also:
  Constant Field Values

### CLAUSE_CENTER

    public static final String CLAUSE_CENTER

See Also:
  Constant Field Values

### CLAUSE_BRUSH

    public static final String CLAUSE_BRUSH

See Also:
  Constant Field Values

### CLAUSE_VERSION

    public static final String CLAUSE_VERSION

See Also:
  Constant Field Values

### CLAUSE_CHARSET

    public static final String CLAUSE_CHARSET

See Also:
  Constant Field Values

### CLAUSE_DELIMETER

    public static final String CLAUSE_DELIMETER

See Also:
  Constant Field Values

### CLAUSE_UNIQUE

    public static final String CLAUSE_UNIQUE

See Also:
  Constant Field Values

### CLAUSE_INDEX

    public static final String CLAUSE_INDEX

See Also:
  Constant Field Values

### CLAUSE_COLUMNS

    public static final String CLAUSE_COLUMNS

See Also:
  Constant Field Values

Constructor Detail

### MapInfoDataSource

    public MapInfoDataSource(URL url)
                      throws MalformedURLException

  Creates a new MapInfoDataSource object.

  Parameters:
    `url` -
  Throws:
    `MalformedURLException`

Method Detail

### readMifMid

    protected ArrayList readMifMid()
                            throws Exception

  Reads the MIF and MID files and returns a ArrayList of the Features they contain

  Returns:
    a ArrayList of features?
  Throws:
    `Exception` - if file doesn't exist or is not readable etc

### getFeatures

    public void getFeatures(FeatureCollection collection,
                            Query query)
                     throws Exception

  Loads features from the datasource into the passed collection, based on the passed filter. Note that all data sources must support this method at a minimum.

  Parameters:
    `collection` - The collection to put the features into.
    `query` - contains info about request of which features to retrieve.
  Throws:
    `Exception` - For all data source errors.

### getSchema

    public FeatureType getSchema()

  Retrieves the featureType that features extracted from this datasource will be created with. TODO: implement this method.

  Returns:
    `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org